Remove an image asset from a marketplace demo

View as Markdown
Remove a single image object from the marketplace demo's virtual folder in the publicly-accessible bucket. The image name is provided via the `name` query parameter. **Required scope:** `air:marketplace_demo_write` (roles: `air_demo_manager`, `air_org_admin`, `air_user`) **Additional permissions:** - Only members of the owning organization, Air admins, or SREs may perform this action on this marketplace demo. - Applies whether or not the demo is published.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this marketplace demo.

Query parameters

namestringRequired

The filename of the image asset to remove, relative to the demo’s virtual folder. Must not contain path separators or start with ..

Response

No response body

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error